MagicMirror² v2.5.0 is available! For more information about this release, check out this topic.

Installation errors



  • I’m getting errors when installing Magic Mirror. I had a lot more but was able to google my way through most of them and here’s what I can’t figure out:

    Installing dependencies …
    npm WARN registry Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning ENODATA: Cache input stream was empty
    npm WARN registry Using stale package data from https://registry.npmjs.org/ due to a request error during revalidation.
    npm ERR! code EINTEGRITY
    npm ERR! errno EINTEGRITY
    npm ERR! Invalid response body while trying to fetch https://registry.npmjs.org/moment: Integrity verification failed for sha512-ysNM2wsumRo4Qb6ixBIta1OrUFHClHk6U00P296MJmr8xgWaP0IbE4otD2oP2lGbUAcCtu1LrSpRzMsf38Doyw== (/home/pi/.npm/_cacache/content-v2/sha512/ca/c3/4cdb0b2e991a3841bea2c4122d6b53ab5051c294793a534d0fdbde8c266afcc6059a3f421b138a2d0f6a0fda519b500702b6ed4bad2a51cccb1fdfc0e8cb)

    npm ERR! A complete log of this run can be found in:
    npm ERR! /home/pi/.npm/_logs/2018-06-12T10_22_43_803Z-debug.log
    Unable to install dependencies!

    This is my first real Pi project so I’m not really sure what it’s telling me. I attempted an install previous to this and got a ton more errors. I did an npm update or something and it took care of most of them but this is what’s left. I’, installing on a Pi3B+.

    Thoughts?

    Thanks